cURL
curl --request POST \ --url https://api.example.com/user/document \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "owner_id": 123, "name": "<string>", "file_format": "<string>", "file_size_bytes": 123, "folder_path": "<string>", "status": "<string>", "chunk_count": 123, "progress": 123, "error_message": "<string>", "uploaded_at": "2023-11-07T05:31:56Z" } '
{ "knowledge_id": 123, "owner_id": 123, "name": "<string>", "file_format": "<string>", "file_size_bytes": 123, "status": "<string>", "chunk_count": 123, "progress": 123, "uploaded_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "folder_path": "<string>", "error_message": "<string>" }
문서 메타데이터만 직접 생성하는 예약 엔드포인트. 실제 파일 업로드/파싱/임베딩은 /user/upload 사용.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Successful Response